<template>
	<!-- 转3D模型 -->
	<div class="to-3d-model">
		<p class="label">Image</p>
		<div class="image">
			<img :src="data.url" alt="">
		</div>
	</div>
</template>

<script setup lang="ts">
	import { reactive, onMounted, useAttrs } from 'vue'
	import uploadFile from '../../tools/upload-file.vue'
	const attrs = useAttrs()

	const data = reactive({
		url: attrs.node?.data?.originalImage,
	})
	const getApiData = ()=>{
		return {
			imageUrls: [data.url],
		}
	}
	defineExpose({ data,getApiData })
</script>

<style lang="less" scoped>
	.to-3d-model {
		> .image {
			padding: 6px;
			border-radius: 10px;
			background-color: #f0f0f0;
			>img{
				width: 100%;
				height: auto;
				max-height: 87px;
				object-fit: contain;
			}
		}
	}
</style>
